import cx from 'classnames';
import PropTypes from 'prop-types';
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
var FormTextarea = function FormTextarea(_ref) {
  var className = _ref.className,
    cols = _ref.cols,
    label = _ref.label,
    name = _ref.name,
    onChange = _ref.onChange,
    onFocus = _ref.onFocus,
    onBlur = _ref.onBlur,
    placeholder = _ref.placeholder,
    rows = _ref.rows,
    spellCheck = _ref.spellCheck,
    value = _ref.value;
  return /*#__PURE__*/_jsxs("div", {
    className: cx('sui-FormTextarea', className),
    children: [label && /*#__PURE__*/_jsx("label", {
      className: "sui-FormTextarea-label",
      children: label
    }), /*#__PURE__*/_jsx("textarea", {
      className: "sui-FormTextarea-element",
      cols: cols,
      name: name,
      onChange: onChange,
      onFocus: onFocus,
      onBlur: onBlur,
      placeholder: placeholder,
      rows: rows,
      spellCheck: spellCheck,
      value: value
    })]
  });
};
FormTextarea.displayName = 'FormTextarea';
FormTextarea.defaultProps = {
  placeholder: '',
  spellCheck: false,
  value: ''
};
export default FormTextarea;